REM This file convert Ozi .plt file to Ozi .rte and .wpt files and TurboCD
REM the source .plt file can be in Israeli (old) DATUM
REM the script is based on plt2rte.bat in the original distribution of geoconv
REM runing the conversion is by: 
REM "plt2r_il plt_file_name waypoints_number"        example:
REM "plt2r_il arad_metsada 50"
   
REM ---------- added lines for the Israeli DATUM
fvalue ellips.Clarke_1880= 6378300.789, 1/293.466004983713280 (elevation 98.9 ?)
fvalue datum.Israeli=1,Clarke_1880,-235,-85,264,0,0,0,0
fvalue xypara.Israelixy=Israeli,E35.21206,N31.73409,170251.0,1126868.0,1.0,M
fvalue geoconv.outdatum=Israeli
fvalue geoconv.outxyid=Israelixy
fvalue geoconv.outcrdtype=TM
fvalue geoconv.outlineform=@lon@ @lat@ 36 @id@

REM -------- copy the source file to temp file - handeling long names 
copy %1.plt temp.plt

REM --- start of the original script

REM ------------------------------------------------------------------------------------
REM    SAMPLE GEOCONV BATCH-RUN
   
goto EndOfDocument
   
   This sample batch-file converts an OziExplorer track-file to an
   OziExplorer route-file. At the same it reduces the track to fewer points.
   
   The name of the file (base-part) and the number of the track-points in
   the output-file are given as batch-run parameters:
   
   Call: PLT2RTE name number
   
   E.g. command "PLT2RTE snowride 30" would convert snowride.plt to
   snowride.rte and reduce the track to 30 points.
   
:EndOfDocument
   
rem    -------- write a title to the log-file
echo Convert OziExplorer track to a route >\deleteme.log
   
rem    -------- initialize parameters
rem call geocoini.bat
   
rem    -------- set input-parameters
fvalue geoconv.inform=OZITRK
fvalue geoconv.infile=temp.plt
   
rem    -------- set output-parameters
fvalue geoconv.outform=OZIRTE
fvalue geoconv.reducepointcount=%2
fvalue geoconv.outfile=temp.rte
   
rem    -------- do the actual conversion
geoconv >>\deleteme.log
   
rem    -------- show the result
show [[geoconv.outfile]]
   
rem    -------- show the log-file
show \deleteme.log

REM ------- copying the route file
copy temp.rte %1.rte

---
rem    -------- set input-parameters
fvalue geoconv.inform=OZIRTE
fvalue geoconv.infile=temp.rte
   
rem    -------- set output-parameters
fvalue geoconv.outform=OZIWPT
fvalue geoconv.outfile=temp.wpt

REM -------- generating and copying the waypoint file
geoconv temp.rte temp.wpt
copy temp.wpt %1.wpt


REM -------- generating and copying the turbo file
REM -------- set output-parameters
fvalue geoconv.outform=CRDLIST
fvalue geoconv.outfile=temp.txt

geoconv temp.rte temp.txt
copy temp.txt %1.txt

REM --------- removing the temp files
del temp.plt
del temp.rte
del temp.wpt
del temp.txt



