REM This file convert Ozi .wpt file to and TurboCD
REM the source .wpt file can be in WGS84 DATUM
REM runing the conversion is by: 
REM "wpt2t_il wpt_file_name"        example:
REM "wpt2t_il arad_metsada"
   
REM ---------- added lines for the Israeli DATUM
fvalue ellips.Clarke_1880= 6378300.789, 1/293.466004983713280 (elevation 98.9 ?)
fvalue datum.Israeli=1,Clarke_1880,-235,-85,264,0,0,0,0
fvalue xypara.Israelixy=Israeli,E35.21206,N31.73409,170251.0,1126868.0,1.0,M
fvalue geoconv.outdatum=Israeli
fvalue geoconv.outxyid=Israelixy
fvalue geoconv.outcrdtype=TM
fvalue geoconv.outlineform=@lon@ @lat@ 36 @id@

REM -------- copy the source file to temp file - handeling long names 
copy %1.wpt temp.wpt
   
rem    -------- write a title to the log-file
echo Convert OziExplorer waypoints to a turboCD route >\deleteme.log
   
rem    -------- initialize parameters
rem call geocoini.bat
   
rem    -------- set input-parameters
fvalue geoconv.inform=OZIWPT
fvalue geoconv.infile=temp.wpt
   
   
REM ------- copying the route file
rem copy temp.rte %1.rte

REM -------- generating and copying the turbo file
REM -------- set output-parameters
fvalue geoconv.outform=CRDLIST
fvalue geoconv.outfile=temp.txt

geoconv >>\deleteme.log
   
rem    -------- show the result
show [[geoconv.outfile]]

rem    -------- show the log-file
show \deleteme.log

copy temp.txt %1.txt

REM --------- removing the temp files
del temp.wpt
del temp.txt



