REM   TurboCD import/export text FILE Israel "old" grid TO OZI .WPT FILE

REM   goto EndOfDocument

REM   This file converts Ozi .plt file to Ozi .rte and .wpt files and TurboCD
REM   the source .plt file can be in Israeli (old) DATUM
REM   the script is based on plt2rte.bat in the original distribution of geoconv
REM   runing the conversion is by: 

REM   "trb2ozi turbo_txt_file_name"    no need for the .txt   example:
REM   "trb2ozi arad_metsada

REM   This sample batch-file converts a turboCD import/export text file in Israeli "old" coordinates
REM   to an OziExplorer .wpt file in WGS84 coordinates.

REM   Thanks to Eino Uikkanen for his help.
REM   :EndOfDocument

rem    -------- added lines for the Israeli DATUM
fvalue ellips.Clarke_1880= 6378300.789, 1/293.466004983713280
fvalue datum.Israeli=1,Clarke_1880,-235,-85,264,0,0,0,0
fvalue xypara.Israelixy=Israeli,E35.21206,N31.73409,170251.0,1126868.0,1.0,M

rem    -------- initialize parameters

call geocoini.bat

rem    -------- CONVERSION Israeli (old grid) waypoints to Ozi (WGS84)
rem    -------- copy the source file to temp file - handeling long names 
copy %1.txt temp.txt

rem    -------- set input-parameters
fvalue geoconv.inform=CRDLIST
fvalue geoconv.infile=temp.txt
fvalue geoconv.incrdtype=TM
fvalue geoconv.inxyid=Israelixy
fvalue geoconv.inlatcol=2
fvalue geoconv.inloncol=1
fvalue geoconv.inidcol=4
rem    -------- input separator is space = @32
fvalue geoconv.insep=@32

rem    -------- set output-parameters152000 1246000 36 2

fvalue geoconv.outform=OZIWPT
fvalue geoconv.outfile=temprev.wpt

rem    -------- generate the waypoint file
geoconv >>\deleteme.log

rem    -------- show the result
show [[geoconv.outfile]]

rem copy the output file
copy temprev.wpt %1.wpt

del temprev.wpt
del temp.txt

